
Katello - Feature #10789

Nested organizations

06/11/2015 01:09 PM - Pat Riehecky

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

For our system management, it would be nice if we could create sub organizations.

Our site would like something similar to:

- Nova

- Data creation

- Data processing

As the data creation systems are managed by totally separate people from the data processing team.

Related issues:

Related to Foreman - Feature #3912: Add ability for locations / organizations... Closed

Related to Katello - Tracker #7605: As a Foreman user, I would like to be abl... Need more information

History

#1 - 06/11/2015 01:10 PM - Pat Riehecky

Seems I should have hit preview, my formatting was dropped a bit....

Our site would like something similar to:

Nova

Data creation

Data processing

#2 - 06/12/2015 09:31 AM - Dominic Cleal

- Related to Feature #3912: Add ability for locations / organizations to inherit from a parent location / organization added

#3 - 06/12/2015 09:31 AM - Dominic Cleal

This sounds like #3912, which has been in since Foreman 1.5.0.  Are you using Katello?  I think it might disable this feature for some reason, in which

case I can move the ticket.

#4 - 06/12/2015 09:39 AM - Pat Riehecky

Correct, I am using Katello and do not see a way to nest Orgs.

#5 - 06/12/2015 09:49 AM - Dominic Cleal

- Project changed from Foreman to Katello

- Category deleted (Organizations and Locations)

- Triaged set to No

Ok, I don't know if they still do that or not, shifting it over there.

#6 - 08/01/2015 10:52 AM - Eric Helms

- Triaged changed from No to Yes
#7 - 08/01/2015 10:52 AM - Eric Helms

- Related to Tracker #7605: As a Foreman user, I would like to be able to add Katello later to an existing Foreman installation added

#8 - 09/18/2015 10:42 AM - Pat Riehecky

Any chance to get this on the Katello 2.4 roadmap?

#9 - 12/21/2015 10:51 PM - Eric Helms

- translation missing: en.field_release set to 114

#10 - 03/13/2019 09:15 AM - Florian Faltermeier

Any news about this feature? It would be great If nested organizations can be used too within katello. From my point of view it's a mandatory feature if

someone plans to use katello in bigger environments. Any chance to get this on the next katello roadmap?

#11 - 05/12/2020 09:21 PM - Eric Helms

Notes from RFC (https://community.theforeman.org/t/rfc-adding-katello-to-a-foreman-install/18060) upstream discussing possible solutions:

Katello does not support nested organizations, not only disabling them but throwing an error if they are enabled. The reason for this is the way that

Katello maps Foreman organizations to Candlepin organizations one to one. Object scoping in Katello is locked to an organization. Manifest's and

subscriptions are tied to a single organization. Some possible solutions:

1) Mark organizations as "subscription" organizations and only allow certain operations on those organizations

; or root organization is the only one tied to a Candlepin organization

 2) Drop nested organizations all together from Foreman

 3) Allow any organization to import a manifest but scope the subscriptions to only that organization; sub-org

s would not see parent subscriptions
